package cn.gov.customs.wxjy.task.dao;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import cn.gov.customs.wxjy.task.pojo.SyncDataStatus;
import cn.gov.customs.wxjy.task.pojo.SyncDataStatusQuery;

/**
 * 数据同步状态记录Mapper接口
 *
 * @author xiong
 * @date 2025-12-19
 */
@Mapper
public interface SyncDataStatusMapper {
    /**
     * 查询数据同步状态记录
     *
     * @param ID 数据同步状态记录主键
     * @return 数据同步状态记录
     */
    public SyncDataStatus selectByID(String ID);

    /**
     * 查询数据同步状态记录列表
     *
     * @param syncDataStatus 数据同步状态记录
     * @return 数据同步状态记录集合
     */
    public List<SyncDataStatus> selectList(SyncDataStatusQuery syncDataStatus);

    /**
     * 新增数据同步状态记录
     *
     * @param syncDataStatus 数据同步状态记录
     * @return 结果
     */
    public int insert(SyncDataStatus syncDataStatus);

    /**
     * 修改数据同步状态记录
     *
     * @param syncDataStatus 数据同步状态记录
     * @return 结果
     */
    public int update(SyncDataStatus syncDataStatus);

    /**
     * 删除数据同步状态记录
     *
     * @param ID 数据同步状态记录主键
     * @return 结果
     */
    public int deleteByID(String ID);

    /**
     * 批量删除数据同步状态记录
     *
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByIDs(String[] IDs);

    /**
     * 逻辑删除数据同步状态记录
     *
     * @param ID 数据同步状态记录主键
     * @return 结果
     */
    public int logicDelete(String ID);

    List<String> selectDataIdsByBusinessType(String businessType);

    SyncDataStatus selectByBusinessAndDataId(String businessType, String businessId);

    void updateSyncTime(String businessType, String businessId, Date syncTime);
}
